import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Throwimage here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Throwimage extends Itemsshow
{
    public static int locationx = -100;
    public static int locationy = -100;
    public static boolean transparent = false;

    public Throwimage()
    {

        GreenfootImage img = new GreenfootImage("Skins/Waffe/JackDaniels1.png");
        img.scale(30,30);
        setImage(img);
    }

    /**
     * Act - do whatever the Throwimage wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        setLocation(locationx, locationy);
        if (transparent)
        {
            GreenfootImage img = new GreenfootImage("Skins/Waffe/JackDaniels11.png");
            img.scale(30,30);
            setImage(img);
        }
        else
        {
            GreenfootImage img = new GreenfootImage("Skins/Waffe/JackDaniels1.png");
            img.scale(30,30);
            setImage(img);
        }
    }    
}
